(defun c:fractogl ()        ;process Selection set
   (prompt "\nSelect Fraction Entities: ")
   (setq SS1 nil SS1 (ssget)) 
   (setq N 0)
   (while (and SS1 (>= (sslength SS1) 1))
      (setq EL (entget (setq E1 (ssname SS1 0))))
      (cond ((or (= (cdr (assoc 0 EL)) "MTEXT")
                 (= (cdr (assoc 0 EL)) "DIMENSION"))
             (setq TXT (stacktogl (cdr (assoc 1 EL)))
                   EL (subst (cons 1 TXT) (assoc 1 EL) EL))
             (entmod EL)(entupd E1))
            ((= (cdr (assoc 0 EL)) "MULTILEADER")
             (setq TXT (stacktogl (cdr (assoc 304 EL)))
                   EL (subst (cons 304 TXT) (assoc 304 EL) EL))
             (entmod EL)(entupd E1)))
      (ssdel E1 SS1)))
      
(defun stacktogl (ZZ)     ;process Text string 
   (setq Z (string-split "{}" ZZ)  ;split string into list string list  
         N 0 Z2 "")
   (cond ((> (length Z) 1)    ;stacked fractions found
      (while (nth N Z)       
          (setq Z0 (nth N Z)  ;Text part 
                N (1+ N))      
          (if (nth N Z)       ;Fraction part
              (setq Z1 (substr (nth N Z) (- (strlen (nth N Z)) 5)))  ;strip stackfrac props
              (setq Z1 ""))
          (setq Z2 (strcat Z2 Z0 (strcat " " (acet-str-replace "#" "/" (acet-str-lr-trim "S\\;" Z1))))    ;revised text
                N (1+ N))))
     (t                          ;no stacked fractions 
       (setq Z2 (fracsubst ZZ))    ;toggle to plain fractions
       (repeat 5 (setq Z2 (fracsubst Z2)))))
Z2)

(defun fracsubst (TXT) 
  (setq ALST
    '((" 15/16" "{\\H0.7x;\\A1;\\S15#16;}") (" 13/16" "{\\H0.7x;\\A1;\\S13#16;}") (" 11/16" "{\\H0.7x;\\A1;\\S11#16;}")
    (" 9/16" "{\\H0.7x;\\A1;\\S9#16;}") (" 7/16" "{\\H0.7x;\\A1;\\S7#16;}") (" 5/16" "{\\H0.7x;\\A1;\\S5#16;}")
    (" 3/16" "{\\H0.7x;\\A1;\\S3#16;}") (" 1/16" "{\\H0.7x;\\A1;\\S1#16;}") (" 7/8" "{\\H0.7x;\\A1;\\S7#8;}")
    (" 5/8" "{\\H0.7x;\\A1;\\S5#8;}") (" 3/8" "{\\H0.7x;\\A1;\\S3#8;}") (" 1/8" "{\\H0.7x;\\A1;\\S1#8;}")
    (" 3/4" "{\\H0.7x;\\A1;\\S3#4;}") (" 1/4" "{\\H0.7x;\\A1;\\S1#4;}") (" 1/2" "{\\H0.7x;\\A1;\\S1#2;}")))
  (foreach TX ALST   ;Walk through fraction list
    (setq TXT (vl-string-subst (cadr TX) (car TX) TXT))
  )
  TXT
)	


